Pbm Profile Profile Manager Pbm Query Space Stats For Storage Container

Pbm Profile Profile Manager Pbm Query Space Stats For Storage Container
Retrieves space statistics of a datastore.

Retrieves space statistics of a datastore.

Required privileges: StorageProfile.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/pbm/PbmProfileProfileManager/{moId}/PbmQuerySpaceStatsForStorageContainer
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case PbmProfileProfileManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
Required

Show optional properties

{
    "datastore": {}
}
{
    "datastore": {
        "_typeName": "string",
        "objectType": "string",
        "key": "string",
        "serverUuid": "string"
    },
    "capabilityProfileId": [
        {
            "_typeName": "string",
            "uniqueId": "string"
        }
    ]
}
datastore
Required

Entity for which space statistics are being requested i.e datastore.

array of object
capabilityProfileId
Optional

- capability profile Ids. If omitted, the statistics for the container as a whole would be returned.

Authentication
This operation uses the following authentication methods.
Responses
200

Array of Space stats of datastore for each capabilityProfileId.

[
    {
        "_typeName": "string",
        "profileId": "string",
        "physicalTotalInMB": 0,
        "physicalFreeInMB": 0,
        "physicalUsedInMB": 0,
        "logicalLimitInMB": 0,
        "logicalFreeInMB": 0,
        "logicalUsedInMB": 0
    }
]
array of object
Optional

Space stats for datastore

This structure may be used only with operations rendered under /pbm.


500

InvalidArgument: - Thrown if the input datastore parameter is null or its type is not datastore or its key is empty.

PbmFault: - Thrown if server internal error occurred or if storage container does not support the profile.

Returns MethodFault of type(s) application/json
This response body class contains all of the following: Any
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}
faultCause
Optional

Fault which is the cause of this fault.

array of object
faultMessage
Optional

Message which has details about the error Message can also contain a key to message catalog which can be used to generate better localized messages.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"datastore":"{}"}' https://{api_host}/sdk/vim25/{release}/pbm/PbmProfileProfileManager/{moId}/PbmQuerySpaceStatsForStorageContainer